dbXML API

## com.dbxml.xml.dom
Class DOMHelper

    java.lang.Object
      com.dbxml.xml.dom.DOMHelper

public final class DOMHelper
extends java.lang.Object

DOMHelper

Method Summary
`static org.w3c.dom.DOMImplementation` `getDOMImplementation()`
`static boolean` `isNamespaceAware()`
`static boolean` `isValidating()`
`static org.w3c.dom.Document` `newDocument()`
`static org.w3c.dom.Document` `parse(java.io.File f)`
`static org.w3c.dom.Document` `parse(org.xml.sax.InputSource is)`
`static org.w3c.dom.Document` `parse(java.io.InputStream is)`
`static org.w3c.dom.Document` `parse(java.io.InputStream is, java.lang.String systemId)`
`static org.w3c.dom.Document` `parseText(java.lang.String text)`
`static org.w3c.dom.Document` `parseURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

### isNamespaceAware

    public static boolean isNamespaceAware()

### isValidating

    public static boolean isValidating()

### newDocument

    public static org.w3c.dom.Document newDocument()

### parse

    public static org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                                      throws org.xml.sax.SAXException,
                                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static org.w3c.dom.Document parse(java.io.File f)
                                      throws org.xml.sax.SAXException,
                                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static org.w3c.dom.Document parse(java.io.InputStream is)
                                      throws org.xml.sax.SAXException,
                                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static org.w3c.dom.Document parse(java.io.InputStream is,
                                             java.lang.String systemId)
                                      throws org.xml.sax.SAXException,
                                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parseText

    public static org.w3c.dom.Document parseText(java.lang.String text)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parseURI

    public static org.w3c.dom.Document parseURI(java.lang.String uri)
                                         throws org.xml.sax.SAXException,
                                                java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

dbXML API

Copyright (c) 2004 The dbXML Group